/*
 * client-conference.c
 *
 * This is a sample ESL program that operates in "inbound mode",
 * it connects to FreeSWITCH server, originates a call to the endpoint
 * passed on the command line and passes the call control to the outbound socket
 * program running at SERVER_IP:SERVER_PORT
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <esl.h>

/* ESL outbound socket server */
#define SERVER_IP "127.0.0.1"
#define SERVER_PORT 8087

int main(int argc, char **argv)
{
	esl_handle_t handle = {{0}};
	char cmd[128];

	if (argc != 2) {
		printf("Usage: %s endpoint\nExample: %s sofia/internal/1001@192.168.1.2\n", *argv, *argv);
		return 0;
	}
	snprintf(cmd, sizeof(cmd), "api originate {ignore_early_media=true}%s &socket(%s:%d)\n\n", argv[1], SERVER_IP, SERVER_PORT);

	esl_connect(&handle, "localhost", 8021, NULL, "ClueCon");

	esl_log(ESL_LOG_INFO, "Running: %s\n", cmd);
	esl_send_recv(&handle, cmd);

	if (handle.last_sr_event && handle.last_sr_event->body) {
		printf("%s\n", handle.last_sr_event->body);
	} else {
		printf("%s\n", handle.last_sr_reply);
	}

	esl_disconnect(&handle);	
	return 0;
}
